xine-lib: osd_renderer_s Struct Reference

xine-lib 1.2.12

Data Fields
osd_renderer_s Struct Reference

`#include <osd.h>`

## Data Fields
xine_stream_t * | stream
osd_object_t *(* | new_object )(osd_renderer_t *this_gen, int width, int height)
void(* | free_object )(osd_object_t *osd_to_close)
int(* | show )(osd_object_t *osd, int64_t vpts)
int(* | hide )(osd_object_t *osd, int64_t vpts)
void(* | point )(osd_object_t *osd, int x, int y, int color)
void(* | line )(osd_object_t *osd, int x1, int y1, int x2, int y2, int color)
void(* | filled_rect )(osd_object_t *osd, int x1, int y1, int x2, int y2, int color)
void(* | set_palette )(osd_object_t *osd, const uint32_t *color, const uint8_t *trans)
void(* | set_text_palette )(osd_object_t *osd, int palette_number, int color_base)
void(* | get_palette )(osd_object_t *osd, uint32_t *color, uint8_t *trans)
void(* | set_position )(osd_object_t *osd, int x, int y)
int(* | set_font )(osd_object_t *osd, const char *fontname, int size)
int(* | set_encoding )(osd_object_t *osd, const char *encoding)
int(* | render_text )(osd_object_t *osd, int x1, int y1, const char *text, int color_base)
int(* | get_text_size )(osd_object_t *osd, const char *text, int *width, int *height)
void(* | close )(osd_renderer_t *this_gen)
void(* | clear )(osd_object_t *osd)
void(* | draw_bitmap )(osd_object_t *osd, const uint8_t *bitmap, int x1, int y1, int width, int height, const uint8_t *palette_map)
int(* | show_unscaled )(osd_object_t *osd, int64_t vpts)
uint32_t(* | get_capabilities )(osd_object_t *osd)
void(* | set_extent )(osd_object_t *osd, int extent_width, int extent_height)
void(* | set_argb_buffer )(osd_object_t *osd, uint32_t *argb_buffer, int dirty_x, int dirty_y, int dirty_width, int dirty_height)
void(* | set_video_window )(osd_object_t *osd, int window_x, int window_y, int window_width, int window_height)
pthread_mutex_t | osd_mutex
video_overlay_event_t | event
osd_object_t * | osds
osd_font_t * | fonts
int | textpalette

## Field Documentation

## ◆ clear

void(* osd_renderer_s::clear) (osd_object_t *osd)

## ◆ close

void(* osd_renderer_s::close) (osd_renderer_t *this_gen)

Referenced by xine_dispose().

## ◆ draw_bitmap

void(* osd_renderer_s::draw_bitmap) (osd_object_t *osd, const uint8_t *bitmap, int x1, int y1, int width, int height, const uint8_t *palette_map)

## ◆ event

video_overlay_event_t osd_renderer_s::event

## ◆ filled_rect

void(* osd_renderer_s::filled_rect) (osd_object_t *osd, int x1, int y1, int x2, int y2, int color)

Referenced by ccrow_render().

## ◆ fonts

osd_font_t* osd_renderer_s::fonts

Referenced by osd_lookup_native().

## ◆ free_object

void(* osd_renderer_s::free_object) (osd_object_t *osd_to_close)

Referenced by get_font_metrics().

## ◆ get_capabilities

uint32_t(* osd_renderer_s::get_capabilities) (osd_object_t *osd)

## ◆ get_palette

void(* osd_renderer_s::get_palette) (osd_object_t *osd, uint32_t *color, uint8_t *trans)

## ◆ get_text_size

int(* osd_renderer_s::get_text_size) (osd_object_t *osd, const char *text, int *width, int *height)

Referenced by ccrow_render(), get_font_metrics(), render_text_area(), and show_program_info().

## ◆ hide

int(* osd_renderer_s::hide) (osd_object_t *osd, int64_t vpts)

## ◆ line

void(* osd_renderer_s::line) (osd_object_t *osd, int x1, int y1, int x2, int y2, int color)

## ◆ new_object

osd_object_t *(* osd_renderer_s::new_object) (osd_renderer_t *this_gen, int width, int height)

Referenced by get_font_metrics(), and xine_osd_new().

## ◆ osd_mutex

pthread_mutex_t osd_renderer_s::osd_mutex

Referenced by osd_set_font().

## ◆ osds

osd_object_t* osd_renderer_s::osds

## ◆ point

void(* osd_renderer_s::point) (osd_object_t *osd, int x, int y, int color)

## ◆ render_text

int(* osd_renderer_s::render_text) (osd_object_t *osd, int x1, int y1, const char *text, int color_base)

Referenced by ccrow_render(), render_text_area(), and show_program_info().

## ◆ set_argb_buffer

void(* osd_renderer_s::set_argb_buffer) (osd_object_t *osd, uint32_t *argb_buffer, int dirty_x, int dirty_y, int dirty_width, int dirty_height)

## ◆ set_encoding

int(* osd_renderer_s::set_encoding) (osd_object_t *osd, const char *encoding)

Referenced by get_font_metrics().

## ◆ set_extent

void(* osd_renderer_s::set_extent) (osd_object_t *osd, int extent_width, int extent_height)

## ◆ set_font

int(* osd_renderer_s::set_font) (osd_object_t *osd, const char *fontname, int size)

Referenced by ccrow_set_attributes(), get_font_metrics(), and show_program_info().

## ◆ set_palette

void(* osd_renderer_s::set_palette) (osd_object_t *osd, const uint32_t *color, const uint8_t *trans)

## ◆ set_position

void(* osd_renderer_s::set_position) (osd_object_t *osd, int x, int y)

Referenced by xine_osd_new().

## ◆ set_text_palette

void(* osd_renderer_s::set_text_palette) (osd_object_t *osd, int palette_number, int color_base)

## ◆ set_video_window

void(* osd_renderer_s::set_video_window) (osd_object_t *osd, int window_x, int window_y, int window_width, int window_height)

## ◆ show

int(* osd_renderer_s::show) (osd_object_t *osd, int64_t vpts)

## ◆ show_unscaled

int(* osd_renderer_s::show_unscaled) (osd_object_t *osd, int64_t vpts)

## ◆ stream

xine_stream_t* osd_renderer_s::stream

Referenced by osd_set_encoding().

## ◆ textpalette

int osd_renderer_s::textpalette

Referenced by osd_set_text_palette().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/osd.h